Derivatives Trading Volume by Participant (/derivatives/volume_by_participant)

Derivatives trading volume by trading participant can be obtained.

Overview

This data provides the daily trading strategies for each derivative product (futures and options) by participants. This data is the same as the following site but has a longer history. https://www.jpx.co.jp/english/markets/derivatives/participant-volume/index.htmlarrow-up-right

Attention

circle-info
  • The night session data for February, 13th 2018 does not exist due to the temporary suspension of trading during the night session in preparation for the next clearing system.

  • The night session data for September, 21st 2021 does not exist due to the replacement of the derivatives system.

Parameter and Response

Derivatives trading volume by trading participant can be obtained.

GET https://api.jquants-pro.com/v2/derivatives/volume_by_participant

"date" must be specified.

"*" Required.

Query Parameters

Name
Type
Description

category

String

date*

String

date

(e.g. 2022-01-05 or 20220105)

pagination_key

String

The primary key of the first item that this operation will evaluate. Use the value that was returned for pagination_key in the previous operation.

Headers

Name
Type
Description

Authorization*

String

access key

Data Item

The meaning of the codes that appear in the response is described in the code list.

  • Session

  • AuctionJNETDivision

  • DerivativeProductCategory

  • SellBuyDivision

  • UnderlyingIndex

  • PutCallDivision

Variable
Description
Data Type
Remark

Date

Trading Date

String

YYYY-MM-DD

Session

Session

String

AuctionJNETDivision

Auction J-NET Division

String

DerivativeProductCategory

Derivative Product Category

String

Code

Issue Code(9-character)

String

ContractName

Contract Name

String

SellBuyDivision

Sell Buy Division

String

Rank

Rank

String

SecuritiesCompanyCode

Securities Company Code

String

SecuritiesCompanyNameJapanese

Securities Company Name Japanese

String

SecuritiesCompanyNameEnglish

Securities Company Name English

String

TradingVolumeBySecuritiesCompany

Trading Volume By Securities Company

String

UnderlyingIndex

Underlying Index

String

ContractMonth

Contract Month

String

YYYY-MM *

PutCallDivision

Put Call Division

String

Blank if futures

StrikePrice

Strike Price

String

Blank if futures

* As to Nikkei 225 mini options, MM can be a number which does not represent the month of the contract month because the contract months of Nikkei 225 mini options are set on a weekly basis. For more information, please click herearrow-up-right.

Sample Code

Last updated